Loading...
Searching...
No Matches
lomiri.shell.tests.test_rotation.RotationBase Class Reference
Inheritance diagram for lomiri.shell.tests.test_rotation.RotationBase:
[legend]
Collaboration diagram for lomiri.shell.tests.test_rotation.RotationBase:
[legend]

## Public Member Functions

| setUp (self)
Public Member Functions inherited from lomiri.shell.tests.LomiriTestCase
| setUpClass (cls)
| launch_lomiri (self, mode="full-greeter", *args)
| patch_lightdm_mock (self)
| wait_for_lomiri (self)
| get_dash (self)
| main_window (self)

## Public Attributes

| orientation
| angle
Public Attributes inherited from lomiri.shell.tests.LomiriTestCase
list | lomiri_geometry_args = []
int | grid_size = 8

## Protected Member Functions

| _assert_change_of_orientation_and_angle (self)
Protected Member Functions inherited from lomiri.shell.tests.LomiriTestCase
| _setup_display_details (self)
| _determine_geometry (self)
| _setup_grid_size (self, scale_divisor)
| _geo_larger_than_display (self, width, height)
| _get_scaled_down_geo (self, width, height)
| _launch_lomiri_with_upstart (self, binary_path, args)
| _patch_data_dirs (self)
| _get_lightdm_mock_path (self)
| _set_proxy (self, proxy)
| _clear_proxy (self)

## Additional Inherited Members

Protected Attributes inherited from lomiri.shell.tests.LomiriTestCase
| _proxy = None
bool | _qml_mock_enabled = True
bool | _data_dirs_mock_enabled = True
dict | _environment = {}
| _clear_proxy

## Detailed Description

    Base class for all shell-rotation tests that provides helper methods.

Definition at line 35 of file test_rotation.py.

## Member Function Documentation

## _assert_change_of_orientation_and_angle()

lomiri.shell.tests.test_rotation.RotationBase._assert_change_of_orientation_and_angle | ( |  | self | ) |

protected

Definition at line 45 of file test_rotation.py.

def _assert_change_of_orientation_and_angle(self):
self.assertThat(self.shell_proxy.orientation,
Eventually(Equals(self.orientation)))
self.assertThat(self.shell_proxy.orientationAngle,
Eventually(Equals(self.angle)))

## setUp()

lomiri.shell.tests.test_rotation.RotationBase.setUp | ( |  | self | ) |

Reimplemented from lomiri.shell.tests.LomiriTestCase.

Definition at line 38 of file test_rotation.py.

def setUp(self):
if model() == 'Desktop':
self.skipTest('Test cannot be run on the desktop.')
super().setUp()
self._qml_mock_enabled = False
self._data_dirs_mock_enabled = False

## Member Data Documentation

## angle

lomiri.shell.tests.test_rotation.RotationBase.angle

Definition at line 49 of file test_rotation.py.

## orientation

lomiri.shell.tests.test_rotation.RotationBase.orientation

Definition at line 47 of file test_rotation.py.

The documentation for this class was generated from the following file:

- tests/autopilot/lomiri/shell/tests/test_rotation.py